import { Component, ComponentNames } from ".";
import { Game } from "..";
import { Entity } from "../entities";

export class RadialObserve extends Component {
  constructor(
    public onObservation?: (game: Game, entity: Entity) => void,
    public radius: number = 0,
  ) {
    super(ComponentNames.RadialObserve);
  }
}
